System 2.0.0.0 4.0.0.0 System.Object

Use this class to work with an X.509 store.

Represents an X.509 store, which is a physical store where certificates are persisted and managed. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0

  Use this constructor to create an object using the personal X.509 certificate store for the current user.

  Initializes a new instance of the class using the personal certificates of the current user store.

- Constructor
  2.0.0.0
  4.0.0.0
  System.MonoTODO("Mono's stores are fully managed. All handles are invalid.")

  Use this constructor to provide compatibility with the unmanaged Microsoft Cryptographic API (CAPI).

  For more information about the HCERTSTORE handle, see the unmanaged CAPI documentation in the Platform SDK section of the MSDN Library.

  Initializes a new instance of the class using an Intptr handle to an HCERTSTORE store.

  A handle to an HCERTSTORE store.
- Constructor
  2.0.0.0
  4.0.0.0

  Use this constructor to create an object, specifying the store location, which is either the location for the current user or the local computer.

  Initializes a new instance of the class using the specified value.

  One of the enumeration values that specifies the location of the X.509 certificate store.
- Constructor
  2.0.0.0
  4.0.0.0

  Use this constructor to create an X.509 store for the current user that corresponds to values enumerated by .

  Initializes a new instance of the class using the specified value.

  One of the enumeration values that specifies the name of the X.509 certificate store.
- Constructor
  2.0.0.0
  4.0.0.0

  Use this constructor to create an object using a particular X.509 store name for the current user. To create a new store, specify a name that does not exist. A new store will be created with that name.

  Initializes a new instance of the class using the specified store name.

  A string value that represents the store name. See for more information.
- Constructor
  2.0.0.0
  4.0.0.0

  Use this constructor to create an object, specifying both the store name and the store location.

  Initializes a new instance of the class using the specified and values.

  One of the enumeration values that specifies the name of the X.509 certificate store.
  One of the enumeration values that specifies the location of the X.509 certificate store.
- Constructor
  2.0.0.0
  4.0.0.0

  Use this constructor to create an object using a store name and location. To create a new store, specify a name that does not exist. A new store will be created with that name.

  Initializes a new instance of the class using a string that represents a value from the enumeration and a value from the enumeration.

  A string that represents a value from the enumeration.
  One of the enumeration values that specifies the location of the X.509 certificate store.
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  Use this method to add a single certificate to an X.509 store.

  Adds a certificate to an X.509 certificate store.

  The certificate to add.
- Method
  2.0.0.0
  4.0.0.0
  System.MonoTODO("Method isn't transactional (like documented)")
  System.Void ``

  This method adds more than one certificate to an X.509 certificate store; if one certificate addition fails, the operation is reverted and no certificates are added.

  Adds a collection of certificates to an X.509 certificate store.

  The collection of certificates to add.
- Property
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509Certificate2Collection To be added.

  This method returns a snapshot of the X.509 certificate store. Note that subsequent or operations performed on the store will not have any effect on the collection that is returned. This snapshot is recalculated each time the property is called, so the use of this property inside an iterative function is not recommended.

  Returns a collection of certificates located in an X.509 certificate store.

- Method
  2.0.0.0
  4.0.0.0
  System.Void

  This method releases all resources associated with the store. You should always close an X.509 certificate store after use.

  Closes an X.509 certificate store.

- Property
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.StoreLocation To be added.

  This property returns the X.509 certificate store location of either the store for the current user or the store for the local computer.

  Gets the location of the X.509 certificate store.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  This property returns the X.509 certificate store name. This value can indicate the type of certificates stored, such as root certificates or certificates from trusted publishers.

  Gets the name of the X.509 certificate store.

- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  Use this method to open an existing X.509 store. Note that you must have additional permissions, specified by , to enumerate the certificates in the store. You can create a new store by passing a store name that does not exist to the class constructor, and then using any of the flags except .

  Opens an X.509 certificate store or creates a new store, depending on flag settings.

  A bitwise combination of enumeration values that specifies the way to open the X.509 certificate store.
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  Use this method to remove a single certificate from an X.509 store.

  Removes a certificate from an X.509 certificate store.

  The certificate to remove.
- Method
  2.0.0.0
  4.0.0.0
  System.MonoTODO("Method isn't transactional (like documented)")
  System.Void ``

  This method removes more than one certificate from an X.509 certificate store; if one certificate removal fails, the operation is reverted and no certificates are removed.

  Removes a range of certificates from an X.509 certificate store.

  A range of certificates to remove.
- Property
  2.0.0.0
  4.0.0.0
  System.MonoTODO("Mono's stores are fully managed. Always returns IntPtr.Zero.")
  System.IntPtr To be added.

  Use the property to provide compatibility with the unmanaged Microsoft Cryptographic API (CAPI).

  For more information about the HCERTSTORE handle, see the unmanaged CAPI documentation in the Platform SDK section of the MSDN Library.

  Gets an handle to an HCERTSTORE store.